## drf-extensions 0.3.1

=== tests_app/requirements.txt ===
nose
django-nose
django-filter
mock
ipdb

=== debian/changelog ===
drf-extensions (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #798920).

 -- Michael Fladischer <fladi@debian.org>  Wed, 01 Mar 2017 14:20:36 +0100

=== debian/control ===
Source: drf-extensions
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-django-filters,
               python3-django-guardian,
               python3-django-nose,
               python3-djangorestframework,
               python3-mock,
               python3-nose,
               python3-setuptools
Standards-Version: 3.9.8
X-Python3-Version: >= 3.4
Homepage: https://github.com/chibisov/drf-extensions
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/drf-extensions.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/drf-extensions.git

Package: python3-djangorestframework-extensions
Architecture: all
Depends: python3-djangorestframework,
         ${misc:Depends},
         ${python3:Depends}
Description: custom extensions for Django REST framework (Python3 version)
 a collection of custom extensions for Django REST Framework. It provides
 several mixins and extensions to code mechanics of Django REST framework.
 .
 Some of the features included:
  * DetailSerializerMixin
  * Caching
  * Conditional requests
  * Customizable key construction for caching and conditional requests
  * Nested routes
  * Bulk operations
 .
 This package contains the Python 3 version of the library.

## drf-extensions 0.4.0

=== tests_app/requirements.txt ===
nose
django-nose
django-filter==1.1
mock
ipdb

=== debian/changelog ===
drf-extensions (0.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to v0.4.0 (closes: #865851)

 -- Wookey <wookey@debian.org>  Tue, 27 Nov 2018 04:10:08 +0000

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,8 @@
                python3-mock,
                python3-nose,
                python3-setuptools
-Standards-Version: 3.9.8
-X-Python3-Version: >= 3.4
+Standards-Version: 4.1.5
 Homepage: https://github.com/chibisov/drf-extensions
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/drf-extensions.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/drf-extensions.git
 
 Package: python3-djangorestframework-extensions
 Architecture: all

## drf-extensions 0.6.0

=== debian/changelog ===
drf-extensions (0.6.0-3) unstable; urgency=low

  [ Debian Janitor ]
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * Add patch to fix DRF 3.12 FTBFS (Closes: #973101).
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.1.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Thu, 10 Dec 2020 11:13:35 +0100

drf-extensions (0.6.0-2) unstable; urgency=medium

  * Team upload
  * autopkgtest: run the actual test suite (Closes: #953751)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 07 May 2020 18:11:39 -0300

drf-extensions (0.6.0-1) unstable; urgency=medium

  * New upstream release (Closes: #952006).
  * Add debian/gbp.conf.
  * Drop patch for backdoc-python3.7-utf8-fix.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Add python3-django-restframework-guardian to Build-Depends.
  * Bump Standards-Version to 4.5.0.
  * Set Vcs-* to DPMT repo on salsa.debian.org.
  * Enable autopkgtest-pkg-python testsuite.
  * Set Rules-Requires-Root: no.
  * Remove unused lintian overrides.

 -- Michael Fladischer <fladi@debian.org>  Sun, 23 Feb 2020 21:55:55 +0100

=== debian/control ===
Source: drf-extensions
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django-filters,
 python3-django-guardian,
 python3-django-nose,
 python3-djangorestframework,
 python3-django-restframework-guardian,
 python3-mock,
 python3-nose,
 python3-setuptools,
Standards-Version: 4.5.1
Homepage: https://github.com/chibisov/drf-extensions
Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-extensions
Vcs-Git: https://salsa.debian.org/python-team/packages/drf-extensions.git
Rules-Requires-Root: no

Package: python3-djangorestframework-extensions
Architecture: all
Depends:
 python3-djangorestframework,
 ${misc:Depends},
 ${python3:Depends},
Description: custom extensions for Django REST framework (Python3 version)
 a collection of custom extensions for Django REST Framework. It provides
 several mixins and extensions to code mechanics of Django REST framework.
 .
 Some of the features included:
  * DetailSerializerMixin
  * Caching
  * Conditional requests
  * Customizable key construction for caching and conditional requests
  * Nested routes
  * Bulk operations
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/drf-extensions-$1.tar.gz/ \
https://github.com/chibisov/drf-extensions/releases \
/chibisov/drf-extensions/archive/([\d\.]+)\.tar\.gz

## drf-extensions 0.7.1

=== tests_app/requirements.txt ===
nose
django-nose
django-filter>=2.1.0
mock
ipdb

=== debian/changelog ===
drf-extensions (0.7.1-2) unstable; urgency=medium

  * Add patch to fix imports from django.urls.
  * Bump Standards-Version to 4.6.1.0.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 27 Jul 2022 22:12:04 +0000

drf-extensions (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.1
  * Update d/watch to use /tags instead of the dead /releases
  * Rediff patches:
    - Remove 0001-Fix-compatibility-with-DRF-3.12.patch: applied upstream
  * Use https for apache license url in d/copyright
  * Bump Standards-Version to 4.6.0: no changes

 -- Baptiste Beauplat <lyknode@debian.org>  Mon, 11 Oct 2021 20:37:13 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-mock,
  python3-nose,
  python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/chibisov/drf-extensions
 Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-extensions
 Vcs-Git: https://salsa.debian.org/python-team/packages/drf-extensions.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=djangorestframework-extensions

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONIOENCODING=UTF-8 python3 docs/backdoc.py --source docs/index.md --title "Django Rest Framework extensions documentation" > docs/index.html

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH='.:tests_app' {interpreter} /usr/bin/django-admin test --settings=settings tests_app"

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_installchangelogs:
	awk '/^### Release notes$$/,0' < docs/index.md >CHANGELOG
	dh_installchangelogs -- CHANGELOG

=== debian/tests/control ===
Test-Command: cp -r tests_app ${AUTOPKGTEST_TMP} && cd ${AUTOPKGTEST_TMP} && PYTHONPATH=.:tests_app django-admin test --settings=tests_app.settings tests_app
Depends: @, @builddeps@
Features: test-name=testsuite
Restrictions: allow-stderr

## drf-extensions 0.8.0

=== tests_app/requirements.txt ===
pynose
django-nose
django-filter>=2.1.0
mock
ipdb
uuid

=== debian/changelog ===
drf-extensions (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Remove python3-mock build dependency

 -- Alexandre Detiste <tchet@debian.org>  Tue, 12 Aug 2025 23:07:44 +0200

drf-extensions (0.8.0-1) unstable; urgency=low

  * New upstream version 0.8.0
  * Drop all patches, fixed by upstream.
  * Replace looseversion with packaging, following upstream changes.
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Tue, 12 Aug 2025 11:11:52 +0000

drf-extensions (0.7.1-6) unstable; urgency=medium

  * Team upload.
  * Replace runtime dependency on python3-setuptools
    with lighter python3-looseversion

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Jan 2025 23:23:09 +0100

drf-extensions (0.7.1-5) unstable; urgency=medium

  * Team upload
  * Delete empty debian/tests/control
  * Add missing dependency on python3-setuptools to unbreak imports of
    rest_framework_extensions.utils

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 Nov 2024 13:18:01 -0300

drf-extensions (0.7.1-4) unstable; urgency=medium

  * Team upload.
  * Use the new dh-sequence-python3
  * Temporarily disable tests to allow removal of django-nose,
    (Closes: #1018347)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Sep 2024 14:42:43 +0200

drf-extensions (0.7.1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild patch queue from patch-queue
    Added patch:
    0002-tests-Use-basename-xxx-to-set-a-unique-basename.patch
  * d/control: Bump Standards-Version to 4.6.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 24 Mar 2024 08:24:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,15 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-django-filters,
  python3-django-guardian,
- python3-django-nose,
  python3-djangorestframework,
  python3-django-restframework-guardian,
- python3-mock,
- python3-nose,
+ python3-packaging,
  python3-setuptools,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/chibisov/drf-extensions
 Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-extensions
 Vcs-Git: https://salsa.debian.org/python-team/packages/drf-extensions.git
@@ -26,6 +24,7 @@
 Architecture: all
 Depends:
  python3-djangorestframework,
+ python3-packaging,
  ${misc:Depends},
  ${python3:Depends},
 Description: custom extensions for Django REST framework (Python3 version)
@@ -39,5 +38,3 @@
   * Customizable key construction for caching and conditional requests
   * Nested routes
   * Bulk operations
- .
- This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=djangorestframework-extensions

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONIOENCODING=UTF-8 python3 docs/backdoc.py --source docs/index.md --title "Django Rest Framework extensions documentation" > docs/index.html

override_dh_auto_test:
	#dh_auto_test -- --system=custom --test-args="PYTHONPATH='.:tests_app' {interpreter} /usr/bin/django-admin test --settings=settings tests_app"

execute_before_dh_clean:
	rm -rf docs/.build

override_dh_installchangelogs:
	awk '/^### Release notes$$/,0' < docs/index.md >CHANGELOG
	dh_installchangelogs -- CHANGELOG

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/drf-extensions-$1.tar.gz/ \
https://github.com/chibisov/drf-extensions/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
